Ошибки при установке пакетов

Используем пакеты, расширяющие возможности оборудования
Lucky
Сообщения: 46
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 26 мар 2021, 05:04

Zyxmon писал(а):Источник цитаты Если строк с unknown нет - возможно Ваше неизвестное устройство несовместимо с Entware
У меня CoreElec на Amlogic S905X2

Код: Выделить всё

Linux CoreELEC 4.9.113 #1 SMP PREEMPT Sun Mar 14 15:41:04 EDT 2021 aarch64 GNU/Linux
Замечательно работало 2 года до вчерашнего дня и вдруг стало несовместимо?)
Zyxmon писал(а):Источник цитаты Если в файле /opt/lib/opkg/status имеются строки `Version: unknown-11` - то это Ваш случай (максимум 4 строки).
Нет, там все нормально.
Вот и на 4pda пишут, что все отвалилось https://4pda.ru/forum/index.php?showtop ... =105440900
И на github у Вас https://github.com/Entware/Entware/issues/626

Поламались видимо только пакеты под aarch64, на mipsel у меня все прекрасно работает.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1853
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 26 мар 2021, 09:55

Lucky писал(а):Источник цитаты Вот и на 4pda пишут, что ....
И на github у Вас...

На гитхабе пишут о сломанном конкретном пакете, приняли к сведению. На 4pda о проблемах с двумя неконкретно без диагностики. Есть проблемы на конкретном устройстве у Вас. Такое бывает, если ядро не очень стандартное и отсутствуют сисколы. Возможно произошло кривое обновление системных библиотек.
Есть ли у Вас файл, `/opt/lib/libgcc_s.so.1` - если вдруг исчез, достаточно его восстановить. Копированием с ftp из папки install или повторной установкой сверху.
Давайте так, переустановите entware, поставьте утилиту strace и сделайте трассировку неработающего пакета, лучше самого простого с наименьшем числом зависимостей. Приведите trace.
PS В будущем прошу искать тему под ваши проблемы или создавать новую. Вы пишите о проблемах после обновления в тему об установке пакетов. Это называется offtopic! Это затрудняет поиск другим.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1853
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 26 мар 2021, 09:56

Еще поставьте ldd и позапускайте на проблемных бинарниках.

Lucky
Сообщения: 46
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 26 мар 2021, 11:45

Entware переустановил, ситуация не изменилась. Прикладываю логи Midnight Commander
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1853
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 26 мар 2021, 14:45

Midnigth commander работает с флагом -u. Сейчас обновил - должен работать и без флага, это была ошибка разработчиков mc. Они ее планируют исправить в следующей версии. На офсвйте есть патчи.
Поскольку Вы пишете. что отвалились ВСЕ пакеты. Давайте следующий, с минимальным числом зависимостей. Не как у mc.

Lucky
Сообщения: 46
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 26 мар 2021, 16:40

Zyxmon писал(а):Источник цитаты Midnigth commander работает с флагом -u

С флагом работает. Обновил на новую версию, стал запускаться, но виснет при открытии директории, с флагом все нормально. Но тут наверно действительно разработчика косяк. Ну а в целом да, после переустановки все заработало.
Единственное, остался баг в htop при не стандартном скине.
htop
htop.png
Свернуть

htop.zip
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1853
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 26 мар 2021, 20:44

Lucky писал(а):Источник цитаты Отвалились все пакеты после обновления, выбивает Segmentation fault. Работает только htop и то как-то криво.

Где остальные пакеты, кроме mc, которые падают с segmentation fault и их log?
с htop попробуйте решить проблему сами, другой TERM или смените удаленный терминал. Больше никто не жалуется
Эта версия mc - http://test.entware.net/aarch64-k3.10/m ... 4-3.10.ipk
должна работать правильно. Просьба проверить и отписаться.

Lucky
Сообщения: 46
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 27 мар 2021, 05:25

Zyxmon писал(а):Источник цитаты Где остальные пакеты, кроме mc, которые падают с segmentation fault и их log?
Погорячился в начале, после переустановки все заработало.
Zyxmon писал(а):Источник цитаты с htop попробуйте решить проблему сами, другой TERM или смените удаленный терминал. Больше никто не жалуется
Решил проблему откатом на 3.0.2. Видимо большинство используют стандартную цветовую схему, на которой данного бага нет. А на mipsel перестали отображаться все процессы в htop, тоже вылечил откатом на 3.0.2
Zyxmon писал(а):Источник цитаты Эта версия mc - http://test.entware.net/aarch64-k3.10/m ... 4-3.10.ipk
должна работать правильно. Просьба проверить и отписаться.
Да, эта версия работает замечательно.

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1853
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 27 мар 2021, 09:54

Lucky писал(а):Источник цитаты Да, эта версия работает замечательно.

Отправлена в бинарную репу.

Lucky
Сообщения: 46
Зарегистрирован: 21 мар 2019, 14:01

Сообщение Lucky » 28 мар 2021, 07:03

Zyxmon писал(а):Источник цитаты с htop попробуйте решить проблему сами, другой TERM или смените удаленный терминал. Больше никто не жалуется

Теперь и на mipsel с прошивкой от Padavan'a в htop
htop
1.png
Свернуть
У вас нет необходимых прав для просмотра вложений в этом сообщении.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 3 посетителя :: 1 зарегистрированный, 0 скрытых и 2 гостя (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (162) здесь было 16 ноя 2019, 17:33

Сейчас этот форум просматривают: Bing [Bot] и 2 гостя